GET /v1/public/storefronts/{slug}/orders
GET
/v1/public/storefronts/{slug}/ordersPath parameters
slugstringrequiredQuery parameters
customer_phonestringrequiredlimitinteger<int32>min 1 · max 50 · default: 20
Responses
200OK
itemsStorefrontOrderSummary[] | nullrequiredShow propertiesHide properties
Array of
StorefrontOrderSummarycreated_atstring<date-time>requiredcustomer_namestringidstringrequireditem_countinteger<int32>requiredorder_nostringrequiredpayment_methodstringpreview_titlestringstatusstringrequiredtotal_amountinteger<int64>requireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/public/storefronts/string/orders?customer_phone=string"const response = await fetch("/v1/public/storefronts/string/orders?customer_phone=string", {
method: "GET"
});import requests
response = requests.get(
"/v1/public/storefronts/string/orders?customer_phone=string",
)Response
{
"items": [
{
"created_at": "2024-01-01T00:00:00Z",
"customer_name": "string",
"id": "string",
"item_count": 0,
"order_no": "string",
"payment_method": "string",
"preview_title": "string",
"status": "string",
"total_amount": 0
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}